﻿/*****************************************************************************
*       Copyright © 2015 Pitney Bowes Software Inc.
*       All rights reserved.
*****************************************************************************/
using MapInfo.Types;

// ReSharper disable CheckNamespace
namespace EnviroRisk
// ReSharper restore CheckNamespace
{
	/* Sample Interface for Ribbon Customization AddIn */
	interface EnviroRiskAddInInterface
	{
		// This function should be called from MapBasic Subroutine - Main - to initialize the AddIn.
		void Initialize(IMapInfoPro mapInfoApplication, string mbxname);
		// This function should be called from MapBasic Special handler   - EndHandler - to exit the AddIn and perform the cleanup.
		void Unload();
		// This is the main MapInfoPro interface which provides methods for Mapbasic applicatiions to communicate with MapInfo Pro.
		IMapBasicApplication ThisApplication { get; set; }
	}
}
